Show / Hide Table of Contents

# Enum SDL.SDL_WindowFlags

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    [Flags]
    public enum SDL_WindowFlags : uint

### Fields

Name | Description
--- | ---
SDL_WINDOW_ALLOW_HIGHDPI |
SDL_WINDOW_ALWAYS_ON_TOP |
SDL_WINDOW_BORDERLESS |
SDL_WINDOW_FOREIGN |
SDL_WINDOW_FULLSCREEN |
SDL_WINDOW_FULLSCREEN_DESKTOP |
SDL_WINDOW_HIDDEN |
SDL_WINDOW_INPUT_FOCUS |
SDL_WINDOW_INPUT_GRABBED |
SDL_WINDOW_MAXIMIZED |
SDL_WINDOW_MINIMIZED |
SDL_WINDOW_MOUSE_CAPTURE |
SDL_WINDOW_MOUSE_FOCUS |
SDL_WINDOW_OPENGL |
SDL_WINDOW_RESIZABLE |
SDL_WINDOW_SHOWN |
SDL_WINDOW_SKIP_TASKBAR |
SDL_WINDOW_TOOLTIP |
SDL_WINDOW_UTILITY |
SDL_WINDOW_VULKAN |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()